Bug 1484374 - Failure to collect metrics of Window instances on Azure
Summary: Failure to collect metrics of Window instances on Azure
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: C&U Capacity and Utilization
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.8.2
Assignee: Bronagh Sorota
QA Contact: Nandini Chandra
URL:
Whiteboard: c&u:azure
Depends On: 1476756
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-23 11:52 UTC by Satoe Imaishi
Modified: 2017-10-24 00:40 UTC (History)
10 users (show)

Fixed In Version: 5.8.2.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1476756
Environment:
Last Closed: 2017-10-24 00:40:39 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:3005 normal SHIPPED_LIVE Important: Red Hat CloudForms security, bug fix, and enhancement update 2017-10-24 04:15:49 UTC

Comment 2 CFME Bot 2017-08-23 12:18:41 UTC
New commit detected on ManageIQ/manageiq-providers-azure/fine:
https://github.com/ManageIQ/manageiq-providers-azure/commit/13d57decad9a1067d5f25e961f2f0f78b793c828

commit 13d57decad9a1067d5f25e961f2f0f78b793c828
Author:     Daniel Berger <djberg96@gmail.com>
AuthorDate: Mon Aug 21 10:07:58 2017 -0600
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Wed Aug 23 08:13:21 2017 -0400

    Merge pull request #114 from bronaghs/new_metric_names_bz_1476756
    
    Updated metric names for Azure metrics
    (cherry picked from commit 09581c9275e5332eafa0901640705e36f4f57886)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1484374

 .../providers/azure/cloud_manager/metrics_capture.rb      | 15 ++++++++++++---
 1 file changed, 12 insertions(+), 3 deletions(-)

Comment 6 Bronagh Sorota 2017-08-24 16:35:40 UTC
Hi Niladri
I added my own Azure provider to your appliance and I am seeing utilization data, see attachment. If you would like to share your Azure portal credentials with me I can try to troubleshoot why you are not.

Thanks

Comment 9 Bronagh Sorota 2017-08-25 13:35:24 UTC
Niladri,
Fantastic, thanks.

Bronagh

Comment 10 Bronagh Sorota 2017-08-25 13:47:46 UTC
Some background on the problem and solution:

Unexpectedly, new metric counters have been added to the instance diagnostics configuration in Azure and new instances deployed since then use them. Since we were still polling the previous metrics, no data was returned. 
To fix this, support for the new counters has been added.

Bronagh

Comment 11 Nandini Chandra 2017-08-30 22:48:05 UTC
Verified in 5.8.2

Comment 13 errata-xmlrpc 2017-10-24 00:40:39 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3005


Note You need to log in before you can comment on or make changes to this bug.